Bug 64704 - Attempt to rpmbuild kernel-2.4.18.src.rpm Exits with Seg Fault
Attempt to rpmbuild kernel-2.4.18.src.rpm Exits with Seg Fault
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2002-05-09 16:18 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-09 17:35:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-09 16:18:05 EDT
Description of Problem:
When doing a rpmbuild --rebuild --target athlon kernel-2.4.18-3.src.rpm I get 
messages like this (I say like this, because the actual content of the message 
seems to change from attempt to attempt):

l3ni1.c: In function `l3ni1_SendSpid':
l3ni1.c:2671: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [l3ni1.o] Error 2
make[2]: *** [_modsubdir_hisax] Error 2
make[1]: *** [_modsubdir_isdn] Error 2
make: *** [_mod_drivers] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.17924 (%build)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.17924 (%build)

Version-Release number of selected component (if applicable):

[root@aegnor src]# rpm -aq |grep rpm

How Reproducible:
issue an

rpmbuild --rebuild --target athlon kernel-2.4.18-3.src.rpm
rpm --rebuild --target athlon kernel-2.4.18-3.src.rpm

Steps to Reproduce:

Actual Results:
Build exits with some form of Segmentation Fault

Expected Results:
Should build an athlon architecture kernel

Additional Information:
Hardware Involved:

Athlon XP 1800+ (not overclocked)
1024M of Mushkin Level 2 PC2100 DDR SDRAM (2 x 512)
ABIT KR7A-RAID (older one with VT8233 south bridge)
ATI Rage 128 Pro (16M)
Intel Pro/100 S Server Adapter
2 x 40G Maxtor D740X ATA/133 7200 RPM drives each connected as the master to 
the two ATA/133 interfaces provided by onboard HPT372 (using driver provided 
in RH7.3 kernel by default), using _SOFTWARE_ RAID to mirror hde to hdg
Comment 1 Jeff Johnson 2002-05-09 16:25:00 EDT
This isn't an rpm problem. I'd guess it's
a compiler problem, but, because you're saying
that the bug is non-reproducible, it caould
very well be a memory problem.
Comment 2 Need Real Name 2002-05-09 16:29:51 EDT
Erm, how is it not a bug? If it's a problem with the compiler, then shouldn't 
it be assigned to the gcc guys? FWIW, I was able to compile 2.4.18 downloaded 
from kernel.org without difficulty, but the Red Hat version has patched 
applied that I need for my system. So, in any case, I'm pretty sure that the 
build tools are working well enough to build the 2.4.18 kernel, just not in 
the way that rpmbuild does it...
Comment 3 Jeff Johnson 2002-05-09 16:42:40 EDT
I said it's not an *rpm* bug.

I also said that -- because the bug
is non-reproducible -- you need to check
your hardware. Thats' what you're
gonna hear from the kernel/gcc trolls, but,
if you insist, off to the kernel for a 2nd
opinion ...
Comment 4 Michael Schwendt 2002-05-09 17:35:40 EDT
Try http://www.teresaudio.com/memtest86 on your memory chips.
Comment 5 Michael K. Johnson 2002-05-16 16:22:41 EDT
This *does* look like faulty memory or related hardware, from
motherboard to cpu to chipset to fan...

One thing to be aware of is that memtest86 doesn't find false
positives (if it shows a memory problem, there really is a
memory problem) but it DOES report false negatives (that is,
just because memtest86 doesn't find a problem doesn't mean
that there isn't a problem).  Some memory problems only show
up under DMA load, etc, which memtest86 doesn't test.

Note You need to log in before you can comment on or make changes to this bug.